/****************************************************************************/
/* GF94 ( 項目ﾁｪｯｸ基準書 )                                                  */
/*                                                                          */
/* Created : 2019/09/02 09:36:21                                            */
/****************************************************************************/
CREATE TABLE GF94 (
   SYSTEM_ID    VARCHAR2 (   10 )                                       /*  10 ｼｽﾃﾑID       */
 , PGID         VARCHAR2 (   30 )                   NOT NULL            /*  20 PG-ID        */
 , NMSYORI      VARCHAR2 (  100 )                                       /*  30 処理ｸﾞﾙｰﾌﾟ名 */
 , SEQ          NUMBER   (    7 )       DEFAULT 0   NOT NULL            /*  40 順           */
 , CLM          VARCHAR2 (   30 )                                       /*  50 項目         */
 , DESC_CHECK   VARCHAR2 (  500 )                                       /*  60 ﾁｪｯｸ内容     */
 , ERR_NO       VARCHAR2 (   10 )                                       /*  70 ｴﾗｰ番号      */
 , ERR_MSG      VARCHAR2 ( 1000 )                                       /*  80 ｴﾗｰﾒｯｾｰｼﾞ    */
 , UNIQ         NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        VARCHAR2 (   14 )                                       /* 820 登録日時     */
 , PGSET        VARCHAR2 (   10 )                                       /* 830 作成PG       */
 , PGPSET       VARCHAR2 (   10 )                                       /* 840 作成親PG     */
 , USRSET       VARCHAR2 (   10 )                                       /* 850 作成社員     */
 , DYUPD        VARCHAR2 (   14 )                                       /* 860 更新日時     */
 , PGUPD        VARCHAR2 (   10 )                                       /* 870 更新PG       */
 , PGPUPD       VARCHAR2 (   10 )                                       /* 880 更新親PG     */
 , USRUPD       VARCHAR2 (   10 )                                       /* 890 更新者       */
)
TABLESPACE GETBL01
STORAGE( INITIAL 16K NEXT 16K );

CREATE SEQUENCE GF94S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;

CREATE OR REPLACE TRIGGER GF94T00 
  BEFORE INSERT ON GF94
  FOR EACH ROW 
  BEGIN 
    SELECT GF94S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
